import tls from 'node:tls';
import { InstanceConnectionInfo } from './instance-connection-info.js';
import { SslCert } from './ssl-cert.js';
interface SocketOptions {
    ephemeralCert: SslCert;
    host: string;
    port: number;
    instanceInfo: InstanceConnectionInfo;
    privateKey: string;
    serverCaCert: SslCert;
    serverCaMode: string;
    dnsName: string;
}
export declare function validateCertificate(instanceInfo: InstanceConnectionInfo, serverCaMode: string, dnsName: string): (hostname: string, cert: tls.PeerCertificate) => Error | undefined;
export declare function getSocket({ ephemeralCert, host, port, instanceInfo, privateKey, serverCaCert, serverCaMode, dnsName, }: SocketOptions): tls.TLSSocket;
export {};
//# sourceMappingURL=socket.d.ts.map